#
# Copyright (c) 2015-2022 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

__docformat__ = 'restructuredtext'


from pyams_content.component.map.interfaces import have_gis
if have_gis:

    from zope.schema.fieldproperty import FieldProperty

    from pyams_content.component.map.interfaces import IMapParagraph


    class BaseMapSettings:
        """Base map settings"""

        gps_location = FieldProperty(IMapParagraph['gps_location'])
        display_marker = FieldProperty(IMapParagraph['display_marker'])
        display_coordinates = FieldProperty(IMapParagraph['display_coordinates'])
